JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32.COM
Class IRecordInfo

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.platform.win32.COM.IUnknown
              com.sun.jna.platform.win32.COM.IRecordInfo

All Implemented Interfaces:
  NativeMapped

    public class IRecordInfo

extends IUnknown

Wrapper class for the IRecordInfo interface

Author:
  Tobias Wolf, wolf.tobias@gmx.net

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.IUnknown
`IUnknown.ByReference`

Field Summary
`static Guid.IID` `IID_IRecordInfo` The Constant IID_IRecordInfo.

Fields inherited from class com.sun.jna.platform.win32.COM.IUnknown
`IID_IDispatch`

Constructor Summary
`IRecordInfo()` Instantiates a new i record info.
`IRecordInfo(Pointer pvInstance)` Instantiates a new i record info.

Method Summary
`WinNT.HRESULT` `GetField(WinDef.PVOID pvData, WString szFieldName, Variant.VARIANT pvarField)` Gets the field.
`WinNT.HRESULT` `GetFieldNames(WinDef.ULONG pcNames, WTypes.BSTR rgBstrNames)` Gets the field names.
`WinNT.HRESULT` `GetFieldNoCopy(WinDef.PVOID pvData, WString szFieldName, Variant.VARIANT pvarField, WinDef.PVOID ppvDataCArray)` Gets the field no copy.
`WinNT.HRESULT` `GetGuid(Guid.GUID pguid)` Gets the guid.
`WinNT.HRESULT` `GetName(WTypes.BSTR pbstrName)` Gets the name.
`WinNT.HRESULT` `GetSize(WinDef.ULONG pcbSize)` Gets the size.
`WinNT.HRESULT` `GetTypeInfo(ITypeInfo ppTypeInfo)` Gets the type info.
`WinDef.BOOL` `IsMatchingType(IRecordInfo pRecordInfo)` Checks if is matching type.
`WinNT.HRESULT` `PutField(WinDef.ULONG wFlags, WinDef.PVOID pvData, WString szFieldName, Variant.VARIANT pvarField)` Put field.
`WinNT.HRESULT` `PutFieldNoCopy(WinDef.ULONG wFlags, WinDef.PVOID pvData, WString szFieldName, Variant.VARIANT pvarField)` Put field no copy.
`WinNT.HRESULT` `RecordClear(WinDef.PVOID pvExisting)` Record clear.
`WinNT.HRESULT` `RecordCopy(WinDef.PVOID pvExisting, WinDef.PVOID pvNew)` Record copy.
`WinDef.PVOID` `RecordCreate()` Record create.
`WinNT.HRESULT` `RecordCreateCopy(WinDef.PVOID pvSource, WinDef.PVOID ppvDest)` Record create copy.
`WinNT.HRESULT` `RecordDestroy(WinDef.PVOID pvRecord)` Record destroy.
`WinNT.HRESULT` `RecordInit(WinDef.PVOID pvNew)` Record init.

Methods inherited from class com.sun.jna.platform.win32.COM.IUnknown
`AddRef, QueryInterface, Release`

Methods inherited from class com.sun.jna.PointerType
`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### IID_IRecordInfo

    public static final Guid.IID IID_IRecordInfo

  The Constant IID_IRecordInfo.

Constructor Detail

### IRecordInfo

    public IRecordInfo()

  Instantiates a new i record info.

### IRecordInfo

    public IRecordInfo(Pointer pvInstance)

  Instantiates a new i record info.

  Parameters:
    `pvInstance` - the pv instance

Method Detail

### RecordInit

    public WinNT.HRESULT RecordInit(WinDef.PVOID pvNew)

  Record init.

  Parameters:
    `pvNew` - the pv new
  Returns:
    the hresult

### RecordClear

    public WinNT.HRESULT RecordClear(WinDef.PVOID pvExisting)

  Record clear.

  Parameters:
    `pvExisting` - the pv existing
  Returns:
    the hresult

### RecordCopy

    public WinNT.HRESULT RecordCopy(WinDef.PVOID pvExisting,
                                    WinDef.PVOID pvNew)

  Record copy.

  Parameters:
    `pvExisting` - the pv existing
    `pvNew` - the pv new
  Returns:
    the hresult

### GetGuid

    public WinNT.HRESULT GetGuid(Guid.GUID pguid)

  Gets the guid.

  Parameters:
    `pguid` - the pguid
  Returns:
    the hresult

### GetName

    public WinNT.HRESULT GetName(WTypes.BSTR pbstrName)

  Gets the name.

  Parameters:
    `pbstrName` - the pbstr name
  Returns:
    the hresult

### GetSize

    public WinNT.HRESULT GetSize(WinDef.ULONG pcbSize)

  Gets the size.

  Parameters:
    `pcbSize` - the pcb size
  Returns:
    the hresult

### GetTypeInfo

    public WinNT.HRESULT GetTypeInfo(ITypeInfo ppTypeInfo)

  Gets the type info.

  Parameters:
    `ppTypeInfo` - the pp type info
  Returns:
    the hresult

### GetField

    public WinNT.HRESULT GetField(WinDef.PVOID pvData,
                                  WString szFieldName,
                                  Variant.VARIANT pvarField)

  Gets the field.

  Parameters:
    `pvData` - the pv data
    `szFieldName` - the sz field name
    `pvarField` - the pvar field
  Returns:
    the hresult

### GetFieldNoCopy

    public WinNT.HRESULT GetFieldNoCopy(WinDef.PVOID pvData,
                                        WString szFieldName,
                                        Variant.VARIANT pvarField,
                                        WinDef.PVOID ppvDataCArray)

  Gets the field no copy.

  Parameters:
    `pvData` - the pv data
    `szFieldName` - the sz field name
    `pvarField` - the pvar field
    `ppvDataCArray` - the ppv data c array
  Returns:
    the hresult

### PutField

    public WinNT.HRESULT PutField(WinDef.ULONG wFlags,
                                  WinDef.PVOID pvData,
                                  WString szFieldName,
                                  Variant.VARIANT pvarField)

  Put field.

  Parameters:
    `wFlags` - the w flags
    `pvData` - the pv data
    `szFieldName` - the sz field name
    `pvarField` - the pvar field
  Returns:
    the hresult

### PutFieldNoCopy

    public WinNT.HRESULT PutFieldNoCopy(WinDef.ULONG wFlags,
                                        WinDef.PVOID pvData,
                                        WString szFieldName,
                                        Variant.VARIANT pvarField)

  Put field no copy.

  Parameters:
    `wFlags` - the w flags
    `pvData` - the pv data
    `szFieldName` - the sz field name
    `pvarField` - the pvar field
  Returns:
    the hresult

### GetFieldNames

    public WinNT.HRESULT GetFieldNames(WinDef.ULONG pcNames,
                                       WTypes.BSTR rgBstrNames)

  Gets the field names.

  Parameters:
    `pcNames` - the pc names
    `rgBstrNames` - the rg bstr names
  Returns:
    the hresult

### IsMatchingType

    public WinDef.BOOL IsMatchingType(IRecordInfo pRecordInfo)

  Checks if is matching type.

  Parameters:
    `pRecordInfo` - the record info
  Returns:
    the bool

### RecordCreate

    public WinDef.PVOID RecordCreate()

  Record create.

  Returns:
    the pvoid

### RecordCreateCopy

    public WinNT.HRESULT RecordCreateCopy(WinDef.PVOID pvSource,
                                          WinDef.PVOID ppvDest)

  Record create copy.

  Parameters:
    `pvSource` - the pv source
    `ppvDest` - the ppv dest
  Returns:
    the hresult

### RecordDestroy

    public WinNT.HRESULT RecordDestroy(WinDef.PVOID pvRecord)

  Record destroy.

  Parameters:
    `pvRecord` - the pv record
  Returns:
    the hresult

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.